WordPress.org

Ready to get started?Download WordPress

Forums

WordPress Popular Posts
[resolved] W3C validation (5 posts)

  1. nicomollet
    Member
    Posted 2 years ago #

    Thank you for this great plugin.

    The markup does not validate HTML5 W3C validation tool:
    "Element script must not have attribute charset unless attribute src is also specified.
    <script type="text/javascript" charset="utf-8">"

    The charset attribute is not valid and should be stripped, their is no reason to keep it, isn't it?

    Cheers,

    http://wordpress.org/extend/plugins/wordpress-popular-posts/

  2. Héctor Cabrera
    Member
    Plugin Author

    Posted 2 years ago #

    Hi nicomollet,

    That piece of code belongs to earlier versions of my plugin. Probably from the very beginning, not sure. Will take that out on the next release.

    Thanks for reporting this!

  3. nicomollet
    Member
    Posted 2 years ago #

    Héctor, thanks a lot if you can fix this.
    Cheers!

  4. fabusdr
    Member
    Posted 2 years ago #

    Hi Héctor,
    I have the same problem. Any chance you can remove the javascript from the header and publish a new version of the plugin?
    Thank you so much for your great work!
    Fab

  5. Héctor Cabrera
    Member
    Plugin Author

    Posted 2 years ago #

    Hi Fab,

    I already took care of that in the development version. Once I'm done with some final checks I will release a new version of WordPress Popular Posts that includes this fix.

    I'm marking this thread as resolved now.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic